% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/votingLNC.R
\name{blastp}
\alias{blastp}
\title{blastp}
\usage{
blastp(
  query = NULL,
  dbidx = NULL,
  evalue = 0.005,
  max_hits = 10,
  output = NULL,
  outfile = NULL
)
}
\arguments{
\item{query:}{Query sequences as path to a FASTA file containing peptide sequence(s)}

\item{dbidx:}{Path to the folder containing the indexes of the database to BLAST against (please include the suffix)}

\item{evalue:}{Expect value cutoff (default: 10)}

\item{max_hits:}{How many hits per sequence to return (default: 20)}

\item{ouput:}{the folder the blastp result will be saved inside}
}
\description{
This function is a wrapper for the NCBI Protein-Protein BLAST against Swissprot database only
}
\examples{
pep_file=system.file("extdata", "test_pep.fa", package = "votingLNC")
path_to_db_indexes="..." 
blastp(query=pep_file, dbidx=path_to_db_indexes, evalue=0.005, max_hits=10, output="./output/", outfile="test")
}
\keyword{NCBI,}
\keyword{Swissprot}
\keyword{blastp,}
