% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/votingLNC.R
\name{pfam}
\alias{pfam}
\title{pfam}
\usage{
pfam(
  query = NULL,
  refdb = NULL,
  E = 0.001,
  domE = 0.05,
  output = NULL,
  outfile,
  cpu = 1
)
}
\arguments{
\item{query:}{Query sequences as path to a FASTA file containing peptide sequence(s)}

\item{refdb:}{Path to the pfam database to be used as reference}

\item{E:}{the E-value cutoff for models to be reported}

\item{domE:}{the E-value cutoff for protein domains to be reported}

\item{ouput:}{the folder the pfam result table will be saved inside}

\item{cpu:}{number of computing cpus to be used}
}
\description{
This function is a wrapper for hmmscan function to perform a HMMER search against the Pfam database
}
\examples{
pep_file=system.file("extdata", "test_pep.fa", package = "votingLNC")
path_to_hmm_model=".../Pfam-A.hmm"
pfam(query=pep_file, refdb=path_to_hmm_model, E=0.001, domE=0.05, output="./output/", outfile="test", cpu=4)
}
\keyword{Pfam}
\keyword{domain,}
\keyword{protein}
