% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/votingLNC.R
\name{predictLNC}
\alias{predictLNC}
\title{predictLNC}
\usage{
predictLNC(
  fastafile = NULL,
  config_file = NULL,
  out_file = NULL,
  blastp_pfam = FALSE
)
}
\arguments{
\item{fastafile:}{the path to the fasta file containing the nucleotide sequence(s) of the set of the transcripts to be predicted.}

\item{config_file:}{the path to the config.ini file containing all the paths to the binary and executable files of the 10 coding potential tools included in our meta-tool and their own python environment.}

\item{blastp_pfam:}{Boolean, should blastp against swissprot and pfam domains be searched for similarity (Default is FALSE), Note that blastp and pfam runs are time and memory consuming.}

\item{out_file:}{the name of the output file (without any extension)}
}
\description{
This function launches the 10 coding potential prediction processes using the 10 tools, the tables generated will be saved in the folder "tmp". The ten tools include: CPAT, CPC2, LGC, LncADeep, LncDC, lncFinder, longdist, mRNN, RNAminingm and RNASamba
}
\examples{
nt_file=system.file("extdata", "test_nt.fa", package = "votingLNC")
get the config file
config=system.file("extdata", "config.ini", package = "votingLNC") #please adapt the paths in the this file according to your installation (refer to the configr package how to build a config.ini file)
or build a config.ini file with the same structure as the config.ini included with the package.
predictLNC(fastafile=nt_file, config_file=config, out_file= "out_file", blastp_pfam=FALSE)
or by including blastp and pfam filters
predictLNC(fastafile=nt_file, config_file=config, out_file= "out_file", blastp_pfam=TRUE)
}
\keyword{coding}
\keyword{potential}
\keyword{prediction}
