% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/votingLNC.R
\name{votingLNC}
\alias{votingLNC}
\title{votingLNC}
\usage{
votingLNC(
  fastafile = NULL,
  config_file = NULL,
  prob = 0.5,
  tr.len = 200,
  pep.len = 100,
  blastp_pfam = FALSE,
  plot = TRUE
)
}
\arguments{
\item{fastafile:}{the path to the fasta file containing the nucleotide sequence(s) of the set of the transcripts to be predicted.}

\item{prob:}{a numeric value indicating the threshold of the non-coding potential probability of a transcript to be classified as lncRNA by the majority voting procedure used here.}

\item{tr.len:}{a numeric value (nt) indicating the threshold of the length of a transcript to be classified as lncRNA. LncRNA are arbitrary defined as a sequence greater than 200 nt (default value).}

\item{pep.len:}{a numeric value (nt) indicating the threshold of the peptide length of a transcript (if applicable) to be classified as lncRNA. Default is assigned to 100 nt corresponding to ~ 33 aa}

\item{blastp_pfam:}{a boolean, should blastp against swissprot and pfam domains be searched for similarity (Default is FALSE), Note that blastp and pfam runs are time and memory consuming, but increase the reliability.}

\item{plot:}{a boolean indicating whether the results of the prediction will be plotted or not}
}
\description{
This main function implements the majority voting pipeline which combines the prediction results of 10 coding potential tools. The final class is determined by the majority voting procedure. This
function quantifies the content of the transcriptome (percentage of coding, lncRNA, and sncRNA), and classifies the predicted lncRNAs according to their reliability/confidence level. Furthermore,
it generates two plots summarizing the results
}
\examples{
nt_file=system.file("extdata", "test_nt.fa", package = "votingLNC")
votingLNC(fastafile=nt_file, config_file="config.ini", prob=0.5, tr.len=200, pep.len=100, blastp_pfam=FALSE, plot=TRUE)
including blastp and pfam search, preferably to run in a cluster 
votingLNC(fastafile=nt_file, config_file="config.ini", prob=0.5, tr.len=200, pep.len=100, blastp_pfam=FALSE, plot=TRUE)
}
\keyword{coding}
\keyword{confidence}
\keyword{lncRNA}
\keyword{majority}
\keyword{potential}
\keyword{prediction,}
\keyword{voting,}
